#58879 closed defect (fixed)

py37-packaging depends on py37-attrs

Reported by: blair (Blair Zajac) Owned by: blair (Blair Zajac)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: py-packaging

Description

When building everything from source today on High Sierra I got this error

$ sudo port -d -v install clang-8.0
--->  Computing dependencies for clang-8.0.........
--->  Dependencies to be installed: cmake ld64 ld64-xcode libomp llvm-8.0 llvm_s
elect xar
--->  Fetching distfiles for cmake
--->  Verifying checksums for cmake
--->  Checksumming cmake-3.15.2.tar.gz
--->  Extracting cmake
--->  Extracting cmake-3.15.2.tar.gz
Executing:  cd "/opt/local/var/macports/build/_Users_blair_Code_MacPorts_macport
s-ports.git_devel_cmake/cmake/work" && /usr/bin/gzip -dc '/opt/local/var/macport
s/distfiles/cmake/cmake-3.15.2.tar.gz' | /usr/bin/tar -xf - 
...
...
cd /opt/local/var/macports/build/_Users_blair_Code_MacPorts_macports-ports.git_devel_cmake/cmake/work/cmake-3.15.2/Utilities/Sphinx && /opt/local/bin/sphinx-build-3.7 -c /opt/local/var/macports/build/_Users_blair_Code_MacPorts_macports-ports.git_devel_cmake/cmake/work/cmake-3.15.2/Utilities/Sphinx -d /opt/local/var/macports/build/_Users_blair_Code_MacPorts_macports-ports.git_devel_cmake/cmake/work/cmake-3.15.2/Utilities/Sphinx/doctrees -b html /opt/local/var/macports/build/_Users_blair_Code_MacPorts_macports-ports.git_devel_cmake/cmake/work/cmake-3.15.2/Help /opt/local/var/macports/build/_Users_blair_Code_MacPorts_macports-ports.git_devel_cmake/cmake/work/cmake-3.15.2/Utilities/Sphinx/html > build-html.log
...
...
Traceback (most recent call last):
  File "/opt/local/bin/sphinx-build-3.7", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3250, in <module>
    @_call_aside
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3234, in _call_aside
    f(*args, **kwargs)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3263, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'attrs' distribution was not found and is required by packaging

Installing py37-attrs and then running this works...

/opt/local/bin/sphinx-build-3.7 -c /opt/local/var/macports/build/_Users_blair_Code_MacPorts_macports-ports.git_devel_cmake/cmake/work/cmake-3.15.2/Utilities/Sphinx -d /opt/local/var/macports/build/_Users_blair_Code_MacPorts_macports-ports.git_devel_cmake/cmake/work/cmake-3.15.2/Utilities/Sphinx/doctrees -b html /opt/local/var/macports/build/_Users_blair_Code_MacPorts_macports-ports.git_devel_cmake/cmake/work/cmake-3.15.2/Help /opt/local/var/macports/build/_Users_blair_Code_MacPorts_macports-ports.git_devel_cmake/cmake/work/cmake-3.15.2/Utilities/Sphinx/html
Running Sphinx v2.2.0
loading pickled environment... done

It appears that this is a missing dependency in py37-packaging. Unpacking packaging-19.1.tar.gz and looking at its setup.py:

    install_requires=["attrs", "pyparsing>=2.0.2", "six"],  # Needed to avoid issue #91

Change History (2)

comment:1 Changed 14 months ago by blair (Blair Zajac)

Diff between 19.0 and 19.1:

diff -ru packaging-19.0/packaging.egg-info/requires.txt packaging-19.1/packaging.egg-info/requires.txt
--- packaging-19.0/packaging.egg-info/requires.txt      2019-01-20 03:04:40.000000000 -0800
+++ packaging-19.1/packaging.egg-info/requires.txt      2019-07-29 23:32:32.000000000 -0700
@@ -1,2 +1,3 @@
+attrs
 pyparsing>=2.0.2
 six
diff -ru packaging-19.0/setup.py packaging-19.1/setup.py
--- packaging-19.0/setup.py     2019-01-20 02:44:35.000000000 -0800
+++ packaging-19.1/setup.py     2019-07-19 22:17:29.000000000 -0700
@@ -48,7 +48,7 @@
     author=about["__author__"],
     author_email=about["__email__"],
     python_requires=">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*",
-    install_requires=["pyparsing>=2.0.2", "six"],  # Needed to avoid issue #91
+    install_requires=["attrs", "pyparsing>=2.0.2", "six"],  # Needed to avoid issue #91
     classifiers=[
         "Development Status :: 5 - Production/Stable",
         "Intended Audience :: Developers",

comment:2 Changed 14 months ago by blair (Blair Zajac)

Resolution: fixed
Status: assignedclosed

In e4bcace8e6ae70a7c1f1ee3b8bb121cf7729c988/macports-ports (master):

py-packaging: follow up to 19.1 upgrade: add missing dependency on py-attrs.

Closes: #58879

Note: See TracTickets for help on using tickets.